#include<bits/stdc++.h>

using namespace std;

#define int long long

signed main(){
    int t;
    cin >> t;
    while(t--){
        int n, m;
        cin >> n >> m;
        vector<int> b(m);
        for(int i = 0; i < m; i++) cin >> b[i];
        int ans = -(1e18);
        for(int mask = 0; mask < (1 << m); mask++){
            vector<int> a(n);
            for(int i = 0; i < m; i++){
                int id = ((mask >> i) & 1);
                a[id] = b[i]-a[id];
            }
            int res = 0;
            for(auto x : a) res += x;
            ans = max(ans, res);
        }
        cout << ans << "\n";
    }
}

